Writing a plugin for R14, R15 and R16



  • On 04/12/2014 at 02:13, xxxxxxxx wrote:

    User Information:
    Cinema 4D Version:   R16 
    Platform:      Mac OSX  ; 
    Language(s) :     C++  ;

    ---------
    Hi all,

    I am wondering where could I get a R14 SDK to be able to compile a plugin for R14 on OSX ?

    A plugin compiled with R14 SDK will work on R14,R15,R16 ?

    Thanks in advance.

    David



  • On 04/12/2014 at 05:36, xxxxxxxx wrote:

    Hi David,

    welcome to the PluginCafe 🙂
    In theory the free demo version of Cinema 4D is enough to develop plugins. Unfortunately there's currently no way to get an old R14 demo version. We are looking into it and I need to ask for your patience. Sorry 😢
    Please also understand, that I'm not in the position to promise anything, except that we are looking into it...



  • On 08/12/2014 at 23:36, xxxxxxxx wrote:

    Hi Andreas,

    thanks for the info... in fact, the R14 SDK could be enough but the complete demo will be better to be able to test our plugin.

    Regards.

    David



  • On 09/12/2014 at 02:44, xxxxxxxx wrote:

    Hi David,
    you are right, the SDK would be enough, but until today the SDK has always been released in conjunction with Cinema 4D. We have not forgot your request...



  • On 10/12/2014 at 08:13, xxxxxxxx wrote:

    I was given download links to older C4D demos when I contacted the support directly, though I am not allowed to share them. This is a few years back though.



  • On 10/12/2014 at 11:26, xxxxxxxx wrote:

    Hello NiklasR,

    Originally posted by xxxxxxxx

    I was given download links to older C4D demos when I contacted the support directly, though I am not allowed to share them. This is a few years back though.

    Yes, the support just sent these links to my client and I found an old R13 dmg on my backup.

    Regards


Log in to reply